Bug 28317 - bind requires libdns.so.4
bind requires libdns.so.4
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-19 11:42 EST by Karsten Hopp
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-20 08:12:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2001-02-19 11:42:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [de] (X11; U; Linux 2.2.16ext3 i686)


bind requires this library, which currently is in bind-utils.
I think the library should be moved to bind. The other option
would be to add a Requires: bind-utils, but I don't think this
is the proper way.

Reproducible: Always
Steps to Reproduce:
1. Install bind, but not bind-utils
2. try to find out which package provides libdns.so.4  ;-(
3.
	

Actual Results:  libdns.so.4 is needed by  bind-9.1.1-0.2

Expected Results:  The bind package should be self containing. There is no
need to 
install bind-utils on a DNS server.
Comment 1 Bernhard Rosenkraenzer 2001-02-20 08:12:11 EST
libdns.so.4 is also needed by host, nslookup, dig and friends.
Requiring bind for those basic tools to work is not really an option, so 
bind-utils is the right place for libdns.

Adding Requires: bind-utils to bind is the right thing to do; done in 9.1.0-3.

Note You need to log in before you can comment on or make changes to this bug.